package com.palmnest.application.core.util;

public class CodeGenerateUtils {

	/**
	 * 维修单编号生成
	 * gcwx-20180503-随机
	 *
	 * @return
	 */
	public static String generate(String prefix) {
		String dateStr = DateHelper.getCurrentDateStr(DateHelper.DATE);
		String str = UUIDUitl.generateInteger(4);
		return prefix + "-" + dateStr + "-" + str;
	}

	public static String account(String prefix) {
		String str = UUIDUitl.generateString(3);
		return prefix + str;
	}

	public static String password() {
		String str = UUIDUitl.generateString(6);
		return str;
	}
}
